#!/bin/env/nawk -f

{
if (substr($1,1,1) == "#") {
#    printf ("%s\n", $0)
    }
else if (NF > 6) {
    if ($1 == 222) {
	printf ("%d 2 unused %s %s %d %d %8.3f %8.3f\n", $1, $4, $5, $6, $7, $8, $9)
	}
    else if ($3 ~ /^[A-Za-z0-9]*-[A-Za-z0-9]*$/) {
	n = split ($3, obj, "-")
	printf ("%d %d %s_%s %s %s %d %d %8.3f %8.3f\n", $1, $2, obj[1],obj[2], $4, $5, $6, $7, $8, $9)
	}
    else if ($3 ~ /^[+-]*[0-9\.]*[0-9\.]*[DdEe][+-][0-9]*$/) {
	printf ("%d %d %s_ %s %s %d %d %8.3f %8.3f\n", $1, $2, $3, $4, $5, $6, $7, $8, $9)
	}
    else if ($3 ~ /^[+-]*[0-9\.]*[0-9\.]*[0-9]*$/) {
	printf ("%d %d %s_ %s %s %d %d %8.3f %8.3f\n", $1, $2, $3, $4, $5, $6, $7, $8, $9)
	}
    else {
	printf ("%d %d %s %s %s %d %d %8.3f %8.3f\n", $1, $2, $3, $4, $5, $6, $7, $8, $9)
	}
    }
else if (NF > 4) {
    if ($1 == 222) {
	printf ("%d 2 unused %d %8.3f %8.3f\n", $1, $4, $5, $6)
	}
    else {
	printf ("%d %d %s %d %8.3f %8.3f\n", $1, $2, $3, $4, $5, $6)
	}
    }
else if ($1 == 222) {
    printf ("%d	2 unused %d\n", $1, $4)
	}
else {
    printf ("%d	%d %s %d\n", $1, $2, $3, $4)
    }
}
# Jun  1 2007	New task to set broken fiber in aperture 222 to "unused"
