# IDCOMBINE - Combine ID files for two chips from one Hectospec or
#             Hectochelle image
# December 9, 2003
# By Doug Mink, SAO Telescope Data Center

procedure idcombine (idfile1,idfile2

file	idfile1=""	{prompt="ID file for first chip"}
file	idfile2=""	{prompt="ID file for second chip"}
file	output=""	{prompt="Output ID file"}
bool	verbose=yes	{prompt="Print process progress (y or n)"}

begin

file	imroot, temp1, temp2, oldim
string	chip1, chip2, arg1
bool	dellist, vb

	vb = verbose

#  Save all but aperture column of chip 2
	temp1 = mktemp ("idchip1")
	gettab (idfile2, "aperture beam object ra dec target fiber platex platey",>temp1)
	temp2 = mktemp ("idchip2")
	temp2a = mktemp ("idchip2a")
	gettab (idfile2, "beam object ra dec target fiber platex platey",>temp2)
	getcol ("-t", temp2 ,"1-8", >temp2a)

	if (deltemp) {
	    imdelete (temp1)
	    imdelete (temp2)
	    }
end

# Dec  9 2003	New program to make a single ID file from two chip ID files
